Net::DNS::RR::IPSECKEY(3)

NAME
Net::DNS::RR::IPSECKEY - DNS IPSECKEY resource record

SYNOPSIS
"use Net::DNS::RR";

DESCRIPTION
CLASS for the IPSECKEY RR.

METHODS
In addition to the regular methods

  algorithm
Returns the RR's algorithm field in decimal representation

    1 = RSA
    2 = DSA

  precedence
Returns the presedence

  gatetype
Returns the gatetype.

   0  "No gateway is present.",
   1  "A 4-byte IPv4 address is present.",
   2  "A 16-byte IPv6 address is present.",
   3  "A wire-encoded domain name is present.",

  gateway
Returns the gateway in the relevant string notation.

  pubkey
Returns the public key in base64 notation

  pubbin
Returns the binary public key material in a string.

TODO
Check on validity of algorithm and gatetype.

COPYRIGHT
Copyright (c) 2007 NLnet LAbs, Olaf Kolkman.

"All rights reserved, This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
perl(1), Net::DNS, Net::DNS::Resolver, Net::DNS::Packet, Net::DNS::Header, Net::DNS::Question, Net::DNS::RR, draft-ietf-dnssext-delegation-signer